module.exports = {
    root: true,
    env: {
        node: true
    },
    extends: [
        "plugin:vue/vue3-essential",
        "@vue/standard"
    ],
    parserOptions: {
        parser: "babel-eslint"
    },
    rules: {
        "no-debugger": process.env.NODE_ENV === "production" ? "warn" : "off",
        "space-before-function-paren": "off",
        semi: "off",
        indent: [ "error", 4 ],
        quotes: [ "error", "double" ],
        "array-bracket-spacing": [ "error", "always" ],
        "brace-style": [ "error", "stroustrup" ],
        "generator-star-spacing": [ "error", "after" ]
    }
}
